// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

/**
* 
* Description - CounterServlet
*/ 
package WebSphereSamples.Counter;

// Imports
import com.ibm.servlet.*;
import com.ibm.webtools.runtime.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

// Imports for beans used by this servlet
import WebSphereSamples.Counter.CounterQueryBean;
import WebSphereSamples.Counter.CounterUpdateBean;

public class CounterServlet extends com.ibm.webtools.runtime.StudioPervasiveServlet implements Serializable
{
  /*****************************************************************************
  * Process incoming requests for information
  * 
  * @param request Object that encapsulates the request to the servlet
  * @param response Object that encapsulates the response from the servlet
  */
   public void performTask(HttpServletRequest request, HttpServletResponse response)
   {
      try
      {
         int hits = 0;

         // instantiate the bean
         WebSphereSamples.Counter.CounterQueryBean counterQueryBean = null;
         counterQueryBean = (WebSphereSamples.Counter.CounterQueryBean) java.beans.Beans.instantiate(getClass().getClassLoader(), "WebSphereSamples.Counter.CounterQueryBean");

         // Initialize the bean URL property from the webapp URL attribute
         counterQueryBean.setURL((String)getServletConfig().getServletContext().getAttribute("URL"));

         // Initialize the bean driver property from the parameters
         counterQueryBean.setDriver(getParameter(request, "driver", true, true, false, null));

         // Call the execute action on the bean.
         counterQueryBean.execute();

         hits = counterQueryBean.getHITS().intValue();
         hits++;

         // instantiate the bean
         WebSphereSamples.Counter.CounterUpdateBean counterUpdateBean = null;
         counterUpdateBean = (WebSphereSamples.Counter.CounterUpdateBean) java.beans.Beans.instantiate(getClass().getClassLoader(), "WebSphereSamples.Counter.CounterUpdateBean");

         // Initialize the bean URL property from the parameters
         counterUpdateBean.setURL(getParameter(request, "URL", true, true, false, null));

         // Initialize the bean driver property from the parameters
         counterUpdateBean.setDriver(getParameter(request, "driver", true, true, false, null));

         counterUpdateBean.setHITS(String.valueOf(hits));

         // Call the execute action on the bean.
         counterUpdateBean.execute();

         // Sets type of text output to ascii otherwise binary output is used on some systems
         response.setContentType("text/html");
         PrintWriter out = response.getWriter();

         out.println(hits);
      }

      catch (Throwable theException)
      {
         handleError(request, response, theException);
      }
   }
}
