// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.Quote;

import java.lang.*;
import java.util.*;
import java.io.*;


public class QuoteBean extends java.lang.Object implements java.io.Serializable
{

    String quoteFile = "quotes.txt";
    Vector quotes = new Vector();
    Vector authors = new Vector();
    int count = 0;
    int next = 0;

    /**
    * Instance variable for the quote property
    */
    protected String quote = null;

    /**
    * Instance variable for the author property
    */
    protected String author = null;

    /*****************************************************************************
    * Get method for the quote property
    * 
    * @return the value of the property
    */
    public String getQuote()
    {
        next = (int)(count*Math.random());
        quote = (String) quotes.elementAt( next );
        return quote;
    }

    /*****************************************************************************
    * Get method for the author property
    * 
    * @return the value of the property
    */
    public String getAuthor()
    {
        author = (String) authors.elementAt( next );
        return author;
    }

    public QuoteBean()
    {
        try
        {
            InputStream is = this.getClass().getResourceAsStream( quoteFile );
            InputStreamReader isr = new InputStreamReader( is );
            BufferedReader br = new BufferedReader( isr );
            String line = null;
            
            while ((line = br.readLine()) != null)
            {
                StringTokenizer tokenizer = new StringTokenizer(line, ";");
                quotes.addElement( tokenizer.nextToken() );
                authors.addElement( tokenizer.nextToken() );
            }
            count = quotes.size();
        }
        catch (Exception e) { e.printStackTrace(); }    
    }

}
