// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

/**
*
* Description - SurveyResultsDBBean
*/
package WebSphereSamples.Survey;
// Imports
import com.ibm.db.*;
import com.ibm.webtools.runtime.*;
import java.io.*;
import java.math.*;

// Imports for App Server V3 connection pooling
import javax.sql.DataSource;
import com.ibm.ejs.dbm.jdbcext.*;
import java.sql.*;
import java.util.*;
import com.ibm.websphere.advanced.cm.factory.*;
import javax.naming.*;

public class SurveyResultsDBBean extends java.lang.Object
{
   /**
   * Instance variable for survey_id property
   */
   protected java.lang.String survey_id = null;

   /**
   * Instance variable for user_id property
   */
   protected java.lang.String user_id = null;

   /**
   * Instance variable for q1 property
   */
   protected java.lang.String q1 = null;

   /**
   * Instance variable for q2 property
   */
   protected java.lang.String q2 = null;

   /**
   * Instance variable for q3 property
   */
   protected java.lang.String q3 = null;

   /**
   * Instance variable for q4 property
   */
   protected java.lang.String q4 = null;

   /**
   * Instance variable for q5 property
   */
   protected java.lang.String q5 = null;

   /**
   * Instance variable for URL property
   */
   protected java.lang.String URL = null;

   /**
   * Instance variable for driver property
   */
   protected java.lang.String driver = null;

   /**
   * Variable to hold DataSource
   */
   protected DataSource ds = null;

   /**
   * Variable to hold connection
   */
   protected Connection connection = null;

   /*****************************************************************************
   * Get method for the survey_id property
   * @return the value of the survey_id property
   */
   public java.lang.String getSurvey_id()
   {
      return survey_id;
   }

   /*****************************************************************************
   * Set method for the survey_id property
   * @param value the new value for the survey_id property
   */
   public void setSurvey_id(java.lang.String value)
   {
      this.survey_id = value;
   }

   /*****************************************************************************
   * Get method for the user_id property
   * @return the value of the user_id property
   */
   public java.lang.String getUser_id()
   {
      return user_id;
   }

   /*****************************************************************************
   * Set method for the user_id property
   * @param value the new value for the user_id property
   */
   public void setUser_id(java.lang.String value)
   {
      this.user_id = value;
   }

   /*****************************************************************************
   * Get method for the q1 property
   * @return the value of the q1 property
   */
   public java.lang.String getQ1()
   {
      return q1;
   }

   /*****************************************************************************
   * Set method for the q1 property
   * @param value the new value for the q1 property
   */
   public void setQ1(java.lang.String value)
   {
      this.q1 = value;
   }

   /*****************************************************************************
   * Get method for the q2 property
   * @return the value of the q2 property
   */
   public java.lang.String getQ2()
   {
      return q2;
   }

   /*****************************************************************************
   * Set method for the q2 property
   * @param value the new value for the q2 property
   */
   public void setQ2(java.lang.String value)
   {
      this.q2 = value;
   }

   /*****************************************************************************
   * Get method for the q3 property
   * @return the value of the q3 property
   */
   public java.lang.String getQ3()
   {
      return q3;
   }

   /*****************************************************************************
   * Set method for the q3 property
   * @param value the new value for the q3 property
   */
   public void setQ3(java.lang.String value)
   {
      this.q3 = value;
   }

   /*****************************************************************************
   * Get method for the q4 property
   * @return the value of the q4 property
   */
   public java.lang.String getQ4()
   {
      return q4;
   }

   /*****************************************************************************
   * Set method for the q4 property
   * @param value the new value for the q4 property
   */
   public void setQ4(java.lang.String value)
   {
      this.q4 = value;
   }

   /*****************************************************************************
   * Get method for the q5 property
   * @return the value of the q5 property
   */
   public java.lang.String getQ5()
   {
      return q5;
   }

   /*****************************************************************************
   * Set method for the q5 property
   * @param value the new value for the q5 property
   */
   public void setQ5(java.lang.String value)
   {
      this.q5 = value;
   }

   /*****************************************************************************
   * Get method for the URL property
   * @return the value of the URL property
   */
   public java.lang.String getURL()
   {
      return URL;
   }

   /*****************************************************************************
   * Set method for the URL property
   * @param value the new value for the URL property
   */
   public void setURL(java.lang.String value)
   {
      this.URL = value;
   }

   /*****************************************************************************
   * Get method for the driver property
   * @return the value of the driver property
   */
   public java.lang.String getDriver()
   {
      return driver;
   }

   /*****************************************************************************
   * Set method for the driver property
   * @param value the new value for the driver property
   */
   public void setDriver(java.lang.String value)
   {
      this.driver = value;
   }

   /*****************************************************************************
   * execute action method
   * @exception java.io.IOException
   * @exception java.lang.Exception
   */
   public void execute()
   throws java.io.IOException, java.lang.Exception
   {
      connection = getPooledConnection(URL, driver);
      java.sql.Statement stmt = connection.createStatement();
      String updateString = "INSERT INTO SURVEY ( SURVEY_ID, USER_ID, Q1, Q2, Q3, Q4, Q5 ) VALUES ( " +
                            insertQuoteEscape(survey_id) + ", " +
                            "'" + insertQuoteEscape(user_id) + "', " +
                            "'" + insertQuoteEscape(q1) + "', " +
                            "'" + insertQuoteEscape(q2) + "', " +
                            insertQuoteEscape(q3) + ", " +
                            "'" + insertQuoteEscape(q4) + "', " +
                            "'" + insertQuoteEscape(q5) + "' " +
                            ")";
      stmt.executeUpdate(updateString);
      stmt.close();
      connection.close();
   }

   /*****************************************************************************
   * Attempts to get a connection from a App Server V3 connection pool.
   *
   * @param URL Contains the database url for the connection
   * @param driver Contains the JDBC driver name to use for the connection
   * @return a pooled JDBC connection or null
   */
   protected Connection getPooledConnection(String URL, String driver)
   {
      Connection conn = null;

      try
      {
         // create parameter list to access naming system
         Hashtable parms = new Hashtable();
         parms.put(Context.INITIAL_CONTEXT_FACTORY, "com.ibm.ejs.ns.jndi.CNInitialContextFactory");
         // access naming system
         Context context = new InitialContext(parms);
         // get DataSource factory object from naming system
         ds = (DataSource)context.lookup("jdbc/anyname");
         conn = ds.getConnection("anyuser", "anypassword");
      }
      catch (Throwable t)
      {
         // DataSource not found. Try to construct a new DataSource.
         // It will be used by all subsequent IDB samples.
         try
         {
            com.ibm.websphere.advanced.cm.factory.DataSourceFactory factory = new com.ibm.websphere.advanced.cm.factory.DataSourceFactory();
            Attributes attrs = new Attributes();
            attrs.name   = "anyname";
            attrs.driver = driver;
            attrs.url    = URL;
            attrs.max = 30;
            ds = factory.createJDBCDataSource(attrs);
            conn = ds.getConnection("anyuser", "anypassword");
            try
            {
               factory.bindDataSource(ds);
            }
            catch (javax.naming.NamingException namingExc)
            {
            }
         }
         catch (Throwable t1)
         {
            t1.printStackTrace();
         }
      }
      return conn;
   }

   /*****************************************************************************
   * InstantDB fails with SQL text string containing single quote ' - needs escaped
   * single quote \' to work properly.
   * Let's meet
   * ...converted to...
   * Let\'s meet
   * Also, backslash \ needs to be escaped.
   * C:\wombat
   * ...converted to...
   * C:\\wombat
   * Must handle \ and ' combination.
   * O\'DONNEL
   ...converted to...
   * O\\\'DONNEL
   *
   * @param String possibly containing a single quote
   * @return String with single quote escaped
   */
   private String insertQuoteEscape(String input)
   {
      // Turns O\'DONNEL to O\\'DONNEL (escape the \)
      // Escape the \ first, or else we would mistakenly
      // escape the \ added to escape the '.
      StringBuffer buffer = new StringBuffer(input.length());
      char testChar;
      for (int i = 0; i < input.length(); i++)
      {
         testChar = input.charAt(i);
         if (testChar == '\\')
         {
            buffer.append('\\');
         }
         buffer.append(testChar);
      }
      String input1 = buffer.toString();
      // Turns O\\'DONNEL to O\\\'DONNEL (escape the ')
      StringBuffer buffer1 = new StringBuffer(input1.length());
      for (int j = 0; j < input1.length(); j++)
      {
         testChar = input1.charAt(j);
         if (testChar == '\'')
         {
            buffer1.append('\\');
         }
         buffer1.append(testChar);
      }
      return buffer1.toString();
   }
}
