// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

/**
* 
* Description - Center
*/
package WebSphereSamples.YourCo.Employee;

// Imports
import com.ibm.servlet.*;
import com.ibm.webtools.runtime.*;
import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

// Imports for beans used by this servlet
import WebSphereSamples.YourCo.Employee.PreferredLinksDBBean;

public class Center extends com.ibm.webtools.runtime.StudioPervasiveServlet implements java.io.Serializable
{
  /*****************************************************************************
  * Process incoming requests for information
  * 
  * @param request Object that encapsulates the request to the servlet
  * @param response Object that encapsulates the response from the servlet
  */
   public void performTask(HttpServletRequest request, HttpServletResponse response)
   {
      boolean displayedPage=false;
      try
      {
         HttpSession session = request.getSession(true);
         WebSphereSamples.YourCo.Login.SessionBean sessionBean = null;
         sessionBean = (WebSphereSamples.YourCo.Login.SessionBean) session.getValue("sessionBean");

         response.setHeader("Pragma", "No-cache");
         response.setHeader("Cache-Control", "no-cache");
         response.setDateHeader("Expires", 0);

         if (sessionBean == null)
         {
            callPage("Login", request, response);
         }

         else
         {
            // instantiate the beans and store them so they can be accessed by the called page
            WebSphereSamples.YourCo.Employee.PreferredLinksDBBean preferredLinksDBBean = null;
            preferredLinksDBBean = (WebSphereSamples.YourCo.Employee.PreferredLinksDBBean) java.beans.Beans.instantiate(getClass().getClassLoader(), "WebSphereSamples.YourCo.Employee.PreferredLinksDBBean");

            setRequestAttribute("preferredLinksDBBean", preferredLinksDBBean, request);

            // Initialize the bean URL property from the webapp URL attribute
            preferredLinksDBBean.setURL((String)getServletConfig().getServletContext().getAttribute("URL"));

            // Initialize the bean driver property from the parameters
            preferredLinksDBBean.setDriver(getParameter(request, "driver", true, true, true, null));

            // Initialize the bean empno property from the parameters
            preferredLinksDBBean.setEmpno( sessionBean.getEmpno() );

            // Call the execute action on the bean.
            preferredLinksDBBean.execute();

            try
            {
               preferredLinksDBBean.getLINKS_CATEGORY(0);
            }
            catch (ArrayIndexOutOfBoundsException e)
            {
               if ( session.getValue("pollUpdateBean") != null )
               {
                  callPage("GenericPoll", request, response);
               }
               else
               {
                  callPage("Generic", request, response);
               }
               displayedPage = true;
            }

            if (!displayedPage)
            {
               if ( session.getValue("pollUpdateBean") != null )
               {
                  callPage("Poll", request, response);
               }
               else
               {
                  callDefaultPage(request, response);  
               }
            }
         }
      }

      // handle com.ibm.webtools.runtime.NoDataException
      catch (com.ibm.webtools.runtime.NoDataException theException)
      {
         try
         {
            callPageNamed(getParameter(request, "com.ibm.webtools.runtime.NoDataException", true, true, false, "com.ibm.webtools.runtime.NoDataException"), request, response);
         }
         catch (Throwable e)
         {
            handleError(request, response, theException);
         }
      }

      catch (Throwable theException)
      {
         handleError(request, response, theException);
      }
   }
}
