// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.2 src/ejb/java/com/ibm/ejs/doc/account/Account.java, ejbdemo, boss 5/21/99 14:22:26 [5/25/99 15:37:30]

package com.ibm.ejs.doc.account;

/**
* The remote interface of the Account entity bean.
*/

import java.rmi.*;
import javax.ejb.*;

public interface Account extends EJBObject {
/**
 * Adds the specified amount to the account balance and returns the new balance.
 * @return float The new balance in the account after the method executes.
 * @param amount float The amount to add to the account balance.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
float add(float amount) throws RemoteException;
/**
 * Returns the balance for the account.
 * @return float The balance in the account.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
float getBalance() throws RemoteException;
/**
 * Sets the account balance to the specified amount.
 * @param amount float The new account balance.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
void setBalance(float amount) throws RemoteException;
/**
 * Subtracts the specified amount from the account balance and returns the new balance.
 * @return float The new balance in the account after the method executes.
 * @param amount float The amount to subtract from the account balance.
 * @exception com.ibm.ejs.doc.account.InsufficientFundsException when insufficient funds exist to complete the transfer.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 */
float subtract(float amount) throws InsufficientFundsException, RemoteException;
}
