// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.3 src/ejb/java/com/ibm/ejs/doc/accountBM/AccountBMKey.java, ejbdemo, boss 5/11/99 15:27:54 [5/25/99 15:38:09]
package com.ibm.ejs.doc.accountBM;

/**
* This is a Primary Key Class for the Entity Bean
**/

import java.io.*;

public class AccountBMKey implements Serializable { 
	public long accountId;
    /**
     * Constructs an AccountBMKey object.
     */
    public AccountBMKey() { }
    /**
     * Constructs a newly allocated AccountBMKey object that represents the primitive long argument.
     */
    public AccountBMKey(long accountId) {
	this.accountId = accountId;
    }

    /**
     * Returns a string value which represents the key.
     * @return the string representation of the key.
     */
    public String toString() {
	return Long.toString(accountId);
    }

    /**
     * Determines if the AccountBMKey object passed to the method matches
     * this AccountKey object.
     * @param o java.lang.Object The AccountKey object to compare to 
     * this AccountKey object.
     * @return boolean The pass object is either equal to this AccountBMKey
     * object (true) or not (false).
     */
    public boolean equals(Object o) {
	if (o instanceof AccountBMKey) {
	    AccountBMKey otherKey = (AccountBMKey) o;
	    return (accountId == otherKey.accountId);
	}
	else {
	    return false;
	}
    }
    /**
     * Generates a hash code for this AccountBMKey object.
     * @return int The hash code.
     */
    public int hashCode () {
	return ((new Long(accountId).hashCode()));
    }
}
