// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.3 src/ejb/java/com/ibm/ejs/doc/account/AccountResourceBundle.java, bbMessages, boss 5/13/99 15:57:35 [6/2/99 08:33:33]


package com.ibm.ejs.doc.account;

import java.util.ListResourceBundle;

/**
 * The <b>AccountResourceBundle</b> provides locale specific
 * support for the <b>AccountBeanBM</b> and <b>AccountBean</b> classes.
 * Within IBM, "locale specific support" is also known
 * as "National Language Support" or "NLS."
 *
 */
public class AccountResourceBundle extends ListResourceBundle {

    // copyright notice
    private final static String kIBMCopyright =
           "(c) Copyright IBM Corporation 1999";

   /**
     Constructs a new <b>AccountResourceBundle</b>.
   */
   public AccountResourceBundle () {
     super();
   }

   /**
     Returns the two-dimensional array of Strings which provide the
     locale specific support.  The array is a set of non-variant keys
     which map to the locale specific implementation of the "message."

     @return Two-dimensional array of Strings.
   */
   public Object[][] getContents() {
      return contents;
   }

   /** Final, static instance variable which holds the locale specific information. */
   static final Object[][] contents = {
     // LOCALIZE THIS

     {"createFailed",       "Create of key \"{0}\" failed"},
     {"loadFailed",         "Load found {0} rows of data for key \"{1}\""},
     {"storeFailed",        "Store of key \"{0}\" failed"},
     {"removeFailed",       "Remove of key \"{0}\" failed"},
     
     {"insufficientFunds",  "Insufficient funds for this debit operation."},
     {"accountBMBean",      "AccountBMBean -- "},
     {"dropFailed",         "dropConnection : ERROR closing JDBC Connection"},
     {"cantCommit",         "dropConnection : ERROR during JDBC commit"},
     {"errUpdate",          "ejbCreate : ERROR : updated \"{0}\" rows"},
     {"errStore",           "ejbStore : ERROR : updated \"{0}\" rows"},

     {"keyNotFound",        "Key \"{0}\" not found"},
     {"tooManyKeys",        "Multiple rows of data for key \"{0}\" found"},
     {"dbConnectionFailed", "Connecting to the database failed"},
     {"errDB",              "ERROR working with db"},
     {"errRemove",          "ejbRemove : ERROR : deleted \"{0}\" rows"},
     {"errInitCtx",         "Exception retrieving the initial context"},
     {"errLookup",          "Exception retrieving the home"},

     {"noContext",          "No EntityContext has been set"},
     {"noEnvironment",      "No environmental properties exist"},
     {"envNotSet",          "Environment property \"{0}\" not set"},

     // END OF MATERIAL TO LOCALIZE
   };
}
