// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.1 src/ejb/java/com/ibm/ejs/doc/transfer/Transfer.java, ejbdemo, boss 3/24/99 15:56:02 [5/25/99 15:39:19]

package com.ibm.ejs.doc.transfer;

/**
* The remote interface of the Transfer session bean.
*/

import javax.ejb.*;
import java.rmi.*;
import com.ibm.ejs.doc.account.*;

public interface Transfer extends EJBObject {
/**
 * Returns the balance of the account identified by the acctId parameter.
 * @return float The account balance.
 * @param acctId long The account Id for which a balance is returned.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 * @exception javax.ejb.FinderException The specified account Id was not found.
 */
float getBalance(long acctId) throws FinderException, RemoteException;
/**
 * Transfers the specified amount from the fromAcctId to the toAcctId.
 * @param fromAcctId long The account Id of the account from which the amount is transfered.
 * @param toAcctId long The account Id of the account to which the amount is transfered.
 * @param amount float The amount being transferred from the fromAcctId to the toAcctId.
 * @exception java.rmi.RemoteException A server-side exception caused the method to fail.
 * @exception javax.ejb.FinderException The specified account Id was not found.
 * @exception com.ibm.ejs.doc.account.InsufficientFundsException The account identified by
 * the toAcctId contained less than the amount requested for transfer.
 */
void transferFunds(long fromAcctId, long toAcctId, float amount) 
	throws InsufficientFundsException, RemoteException, FinderException;
}
