// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.2 com/java/src/com/ibm/ejb/cb/samples/hello/tier2/Hello.java, ejbdemo, bb98b, bb98b9838b 9/21/98 16:35:40 [9/22/98 16:39:12]


package com.ibm.ejb.cb.samples.hello.tier2;

import javax.ejb.EJBObject;
import java.lang.String;
import java.rmi.RemoteException;

/**
  The Hello interface represents the EJB Object instance that a
  client can use to invoke remote methods on.  This interface
  is "implemented" by the HelloBean.  Use the HelloHome interface
  to create a Hello session bean.
  <p>
  <b>Note:</b> Specific instructions for deployment are captured
  in the HelloBean documentation.


  @see com.ibm.ejb.cb.samples.hello.tier2.HelloBean
  @see com.ibm.ejb.cb.samples.hello.tier2.HelloHome
*/

public interface Hello extends EJBObject {

  /**
    Returns a message, such as "Hello World!"
    @return The message.
    @exception RemoteException Thrown if the remote method call fails.
  */
  public String getMessage() throws RemoteException;

}
