// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.
//
// @(#) 1.1 com/java/src/com/ibm/ejb/cb/samples/hello/tier2/HelloBeanResourceBundle.java, bbMessages, bb98b, bb98b9836a 8/31/98 17:28:35 [9/15/98 17:21:38]


package com.ibm.ejb.cb.samples.hello.tier2;

import java.util.ListResourceBundle;

/**
 * The <b>HelloBeanResourceBundle</b> provides locale specific
 * support for the <b>HelloBean</b> class.
 * Within IBM, "locale specific support" is also known
 * as "National Language Support" or "NLS."
 *
 * @see com.ibm.ejb.cb.samples.hello.tier2.HelloBean
 */

public class HelloBeanResourceBundle extends ListResourceBundle {

  private final static String kBeanExtenderIBMCopyright =
          "(c) Copyright IBM Corporation 1999";


  /**
    Constructs a new <b>HelloBeanResourceBundle</b>.
  */
  public HelloBeanResourceBundle () {
    super();
  }

  /**
    Returns the two-dimensional array of Strings which provide the
    locale specific support.  The array is a set of non-variant keys
    which map to the locale specific implementation of the "message."

    @return Two-dimensional array of Strings.
  */
  public Object[][] getContents() {
     return contents;
  }

  /** Final, static instance variable which holds the locale specific information. */
  static final Object[][] contents = {
    // LOCALIZE THIS

    {"greeting", "<b>Hello</b> from Hello EJB Sample!"},

    // END OF MATERIAL TO LOCALIZE
  };
}
