// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.HelloEJB;

import java.util.ListResourceBundle;

/**
  The <b>HelloEJBServletResourceBundle</b> provides locale specific
  support for the <b>HelloEJBServlet</b> class.
  Within IBM, "locale specific support" is also known
  as "National Language Support" or "NLS."

*/
public class HelloEJBServletResourceBundle extends ListResourceBundle {

  // copyright notice
  private final static String kIBMCopyright =
          "(c) Copyright IBM Corporation 1999";

  /**
    Constructs a new <b>HelloEJBServletResourceBundle</b>.
  */
  public HelloEJBServletResourceBundle () {
    super();
  }

  /**
    Returns the two-dimensional array of Strings which provide the
    locale specific support.  The array is a set of non-variant keys
    which map to the locale specific implementation of the "message."

    @return Two-dimensional array of Strings.
  */
  public Object[][] getContents() {
     return contents;
  }

  /**
    Final, static instance variable which holds the locale specific information.
  */
  static final Object[][] contents = {
    // LOCALIZE THIS

    // status text
    {"creating",          "Creating the EJB on the server..."},
    {"retrieving",        "Retrieving the message..."},
    {"removing",          "Removing the EJB from the server..."},
    {"done",              "Done."},

    // error text
    {"remoteException",   "ERROR: Remote exception: "},  // include a trailing blank
    {"generalException",  "ERROR: General exception: "}, // include a trailing blank
    {"noHome",            "ERROR: Cannot find Hello EJB's home."},
    {"noProp",            "ERROR: The system property \"{0}\" is not set."},

    // END OF MATERIAL TO LOCALIZE
  };
}
