// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.Increment;

/**
 * This is an Enterprise Java Bean Remote Interface. The container
 * uses this interface to create and instantiate an EJBObject.
 * The EJBObject works as a proxy between the client and the 
 * Enterprise Java Bean, which is IncrementBean in this example.
 * each application-specific method in the Enterprise Java Bean
 * must have a corresponding method in the Remote Interface.
 */
public interface Increment extends javax.ejb.EJBObject 
{

/**
 * Corresponds to the getCount() method in IncrementBean.
 * @return int Returns the current value of the counter.
 * @exception String A RemoteException is thrown if there
 * is a problem accessing the target method.
 */
   int getCount() throws java.rmi.RemoteException;

/**
 * Corresponds to the increment() method in IncrementBean. 
 * @return int Increments and returns the current counter.
 * @exception String A RemoteException is thrown if there
 * is a problem accessing the target method.
 */
   int increment() throws java.rmi.RemoteException;

}
