// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.Increment;

/**
 * Contains the primary business logic for
 * this Enterprise Java Bean package. 
 * It defines an Entity Bean class with CMP 
 * (Container-Managed-Persistence) fields. 
 * The CMP fields are 'theCount' and 'primaryKey',
 * as defined in the Deployment Descriptor.
 */
import java.rmi.RemoteException;
import java.security.Identity;
import java.util.Properties;
import javax.ejb.*;
import java.lang.*;
import WebSphereSamples.Increment.IncrementKey;

public class IncrementBean implements javax.ejb.EntityBean
{
   // the context for the Enterprise Java Bean
   private javax.ejb.EntityContext entityContext = null; 
   // CMP fields must be public and serializable.
   public String primaryKey; 
   public int theCount = 0;     

/**
 * ejbActivate method is required by the javax.ejb.EntityBean interface.
 * Use this method to initialize the Enterprise Java Bean. Deallocate 
 * these resources in the ejbPassivate() method.
 *
 */
   public void ejbActivate() throws java.rmi.RemoteException
   {
   }

/**
 * ejbCreate method is required by the javax.ejb.EntityBean interface.
 * Creates a row in the database and creates a primary key.
 *
 */
   public void ejbCreate(IncrementKey key)
   {
      primaryKey = key.primaryKey;
      theCount      = 0;
   }

/**
 * ejbLoad method is required by the javax.ejb.EntityBean interface.
 * For CMP, this method is called by the container after the data is
 * loaded from the database. For BMP, this method is used to load the
 * data from the database. 
 */
   public void ejbLoad () throws java.rmi.RemoteException
   {
   }

/**
 * ejbPassivate method is required by the javax.ejb.EntityBean interface.
 * Use this method to release resources that were activated in ejbActivate().
 */
   public void ejbPassivate() throws java.rmi.RemoteException
   {
   }

/**
 * ejbPostCreate method is required by the javax.ejb.EntityBean interface.
 * Gives the bean access to the key created in ejbCreate().
 */
   public void ejbPostCreate(IncrementKey key) throws java.rmi.RemoteException
   {
   }

/**
 * ejbRemove method is required by the javax.ejb.EntityBean interface.
 * Removing an Entity Bean deletes the associated row from the database.
 */
   public void ejbRemove() throws java.rmi.RemoteException
   {
   }

/**
 * ejbStore method is required by the javax.ejb.EntityBean interface.
 * For CMP, this method is called by the container before the data is
 * stored in the database. For BMP, this method is used to store the
 * data in the database. 
 */
   public void ejbStore () throws java.rmi.RemoteException
   {
   }

/**
 * Return the value of the counter. This is an application-specific
 * method. It corresponds to getCount() in Increment.java.
 * @return int
 */
   public int getCount() 
   {
      return theCount;
   }

/**
 * Increment the counter, then return the new value. This is an
 * application-specific method. It corresponds to increment() in 
 * Increment.java.
 * @return int
 */
   public int increment() 
   {
      return ++theCount;
   }

/**
 * setEntityContext method is required by the javax.ejb.EntityBean interface.
 * Sets the context, but has no identity has been defined yet.  
 */
   public void setEntityContext(javax.ejb.EntityContext ctx) throws java.rmi.RemoteException 
   {
      entityContext = ctx;
   }

/**
 * unsetEntityContext method is required by the javax.ejb.EntityBean interface.
 * Sets the context to null.
 */
   public void unsetEntityContext() throws java.rmi.RemoteException 
   {
      entityContext = null;
   }

}
