// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

/**
* This file was generated by IBM WebSphere Studio Version 3.5
* D:\WebSphere\Studio35\BIN\GenerationStyleSheets\V3.5\JSP1.0\ServletModel\DatabaseServlet.xsl stylesheet was used to generate this file.
*
* 
*
*/ 
package WebSphereSamples.YourCo.Poll;
// Imports
import com.ibm.servlet.*;
import com.ibm.webtools.runtime.*;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;


// Imports for beans used by this servlet

import WebSphereSamples.YourCo.Poll.PollQueryBean;
import WebSphereSamples.YourCo.Poll.PollUpdateBean;


public class PollServlet extends com.ibm.webtools.runtime.StudioPervasiveServlet implements Serializable

{

   /*****************************************************************************
   * Process incoming requests for information
   * 
   * @param request Object that encapsulates the request to the servlet
   * @param response Object that encapsulates the response from the servlet
   */
   public void performTask(HttpServletRequest request, HttpServletResponse response)
   {

      // Uncomment the following line to aid in debugging DB servlets.
      // This can help isolate problems when the servlet appears to be unable to make
      // a connection to the database. You must recompile, republish, and then shutdown and
      // restart the server for this change to take effect. 
      // java.sql.DriverManager.setLogStream(System.out);

      try
      {
         // form input parameters
         String pollId = getParameter(request, "pollId", true, true, true, null);
         String vote = getParameter(request, "vote", true, true, true, null);

         // to be fetched from database as pollQueryBean properties
         int yesVote = 0;
         int noVote = 0;

         HttpSession session = request.getSession(true);

         // instantiate the beans and store them so they can be accessed by the called page
         WebSphereSamples.YourCo.Poll.PollQueryBean pollQueryBean = new WebSphereSamples.YourCo.Poll.PollQueryBean();      

         WebSphereSamples.YourCo.Poll.PollUpdateBean pollUpdateBean = new WebSphereSamples.YourCo.Poll.PollUpdateBean();  

         session.putValue("pollUpdateBean", pollUpdateBean);

         // Initialize the bean userID property from the parameters
         pollQueryBean.setUserID(getParameter(request, "userID", true, true, false, null));

         // Initialize the bean password optional property from the parameters
         pollQueryBean.setPassword(getParameter(request, "password", true, true, false, null));

         // Initialize the bean URL property from the parameters
         pollQueryBean.setURL(getParameter(request, "URL", true, true, false, null));

         // Initialize the bean driver property from the parameters
         pollQueryBean.setDriver(getParameter(request, "driver", true, true, false, null));

         // Initialize the bean dataSourceName optional property
         pollQueryBean.setDataSourceName(getParameter(request, "dataSourceName", true, true, false, null));

         // Initialize the bean pollId property from the parameters
         pollQueryBean.setPollId(getParameter(request, "pollId", true, true, true, null));

         // Call the execute action on the bean.
         pollQueryBean.execute();

         // Get the number of yes and no votes from the database using the pollQueryBean
         yesVote = pollQueryBean.getYES_ANS(0).intValue();
         noVote = pollQueryBean.getNO_ANS(0).intValue();

         // Important - because we have stitched TWO beans together in this servlet 
         // and the .jsp page only releases the pollUpdateBean, we need to call 
         // the closeResultSet() method here to close the pollQueryBean
         pollQueryBean.closeResultSet();

         if (vote.equals("yes"))
         {
            yesVote++;
         }
         else if (vote.equals("no"))
         {
            noVote++;
         }
         else
         {
            throw new Exception("Invalid or null selection");
         }

         // Initialize the bean userID property from the parameters
         pollUpdateBean.setUserID(getParameter(request, "userID", true, true, false, null));

         // Initialize the bean password optional property from the parameters
         pollUpdateBean.setPassword(getParameter(request, "password", true, true, false, null));

         // Initialize the bean URL property from the parameters
         pollUpdateBean.setURL(getParameter(request, "URL", true, true, false, null));

         // Initialize the bean driver property from the parameters
         pollUpdateBean.setDriver(getParameter(request, "driver", true, true, false, null));

         // Initialize the bean dataSourceName optional property
         pollUpdateBean.setDataSourceName(getParameter(request, "dataSourceName", true, true, false, null));

         // Specify which poll question in the database is being answered
         pollUpdateBean.setPollId(getParameter(request, "pollId", true, true, false, null));

         // Initialize the bean yesVote property from the parameters
         pollUpdateBean.setYesVote( String.valueOf(yesVote) );

         // Initialize the bean noVote property from the parameters
         pollUpdateBean.setNoVote( String.valueOf(noVote) );

         // Call the execute action on the bean.
         pollUpdateBean.execute();

         // Call the output page. If the output page is not passed
         // as part of the URL, the default page is called.
         callPage(getPageNameFromRequest(request), request, response);
      }

      catch (Throwable theException)
      {
         // uncomment the following line when unexpected exceptions are occuring to aid in debugging the problem
         // theException.printStackTrace();

         handleError(request, response, theException);
      }

   }

}
