// 5648-C84, 5648-C83, (C) Copyright IBM Corporation, 1997, 2000
// All rights reserved. Licensed Materials Property of IBM
// Note to US Government users: Documentation related to restricted rights
// Use, duplication or disclosure is subject to restrictions set forth in GSA ADP Schedule with IBM Corp.
// This page may contain other proprietary notices and copyright information, the terms of which must be observed and followed.
//
// This program may be used, executed, copied, modified and distributed
// without royalty for the purpose of developing, using,
// marketing, or distributing.

package WebSphereSamples.YourCo.Timeout;

/**
 * This is an Entity Bean class with CMP fields
 **/
import java.rmi.RemoteException;
import java.security.Identity;
import java.util.Properties;
import javax.ejb.*;
import java.lang.*;
public class LeaveBean implements javax.ejb.EntityBean {
	private javax.ejb.EntityContext entityContext = null;
	public int id;
	public int type;
	public int balance;
/**
 * This method was created in VisualAge.
 * @return int
 * @param amount int
 */
public int add(int amount) {
	balance += amount;
	return balance;
}
/**
* ejbActivate method comment.
*/
public void ejbActivate() throws java.rmi.RemoteException {
}
/**
 * This method was created in VisualAge.
 * @param key WebSphereSamples.YourCo.Timeout.CompoundKey
 * @param balance int
 */
public void ejbCreate(int id, int type, int balance) {
	this.id = id;
	this.type = type;
	this.balance = balance;
}
/**
 * ejbLoad method comment.
 */
public void ejbLoad () throws java.rmi.RemoteException {
}
/**
 * ejbPassivate method comment.
 */
public void ejbPassivate() throws java.rmi.RemoteException {
}
/**
 * ejbPostCreate method for a CMP entity bean
 */
public void ejbPostCreate(LeaveKey key) throws java.rmi.RemoteException {
}
/**
 * ejbRemove method comment.
 */
public void ejbRemove() throws java.rmi.RemoteException {
}
/**
 * ejbStore method comment.
 */
public void ejbStore () throws java.rmi.RemoteException {
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public int getBalance() {
	return balance;
}
/**
 * This method was created in VisualAge.
 * @return int
 */
public void setBalance(int balance) {
	this.balance = balance;
}
/**
 * setEntityContext method comment.
 */
public void setEntityContext(javax.ejb.EntityContext ctx) throws java.rmi.RemoteException {
	entityContext = ctx;
}
/**
 * This method was created in VisualAge.
 * @return int
 * @param amount int
 * @exception WebSphereSamples.YourCo.Timeout.InsufficientLeaveException The exception description.
 */
public int subtract(int amount) throws InsufficientLeaveException {
	if (balance < amount) {
		throw new InsufficientLeaveException("Insufficient leave for this operation");
	}
	balance -= amount;
	return balance;
}
/**
 * unsetEntityContext method comment.
 */
public void unsetEntityContext() throws java.rmi.RemoteException {
	entityContext = null;
}
}
