#!/bin/ksh -x
# +--------------------------+
# | Run TransferAppplication |
# +--------------------------+

# +-------------------------------------------------------------+
# | Call setupCmdLine, which sets WAS_HOME and JAVA_HOME.       |
# | This assumes you installed Java along with the App Server,  |
# | so that all JDK binaries, etc, will be under App Server     |
# | directories.                                                |
# +-------------------------------------------------------------+
. ../../../../bin/setupCmdLine.sh

# +----------------------+
# | Setup the classpath. |
# +----------------------+
export WAS_CP=$WAS_HOME/lib/ujc.jar

# +----------------------------------------------------------------------+
# | JDK assumed installed with App Server, under App Server directories. |
# | Pre-pend system PATH so that binaries for this JDK will be used.     |
# +----------------------------------------------------------------------+
export PATH=$JAVA_HOME/sh:$JAVA_HOME/jre/sh:$JAVA_HOME/bin:$PATH

# +--------------------------------------------------------------------------------+
# | Relevant enterprise beans must be deployed, and copies of resulting jar files  |
# | must be on the local machine, even if the actual App Server machine is remote. |
# +--------------------------------------------------------------------------------+
export JARS_NEEDED=$WAS_HOME/deployedEJBs/DeployedAccount.jar:$WAS_HOME/deployedEJBs/DeployedTransfer.jar

# +-------------------------------+
# | Finally, run the application. |
# +-------------------------------+
java -classpath .:$WAS_CP:$JARS_NEEDED WebSphereSamples.AccountAndTransfer.TransferApplication 

